# Note that this is NOT a relocatable package
%define ver      0.20
%define rel      3
%define prefix   /usr

Summary: GNOME basic libraries
Name: gnome-libs
Version: %ver
Release: %rel
Copyright: LGPL
Group: X11/gnome
Source: ftp://ftp.gnome.org/pub/gnome-libs-%{ver}.tar.gz
BuildRoot: /var/tmp/gnome-libs-root
Obsoletes: gnome
Packager: Marc Ewing <marc@redhat.com>
URL: http://www.gnome.org/
Docdir: %{prefix}/doc

%description
Basic libraries you must have installed to use GNOME.

GNOME is the GNU Network Object Model Environment.  That's a fancy
name but really GNOME is a nice GUI desktop environment.  It makes
using your computer easy, powerful, and easy to configure.

%package devel
Summary: Libraries, includes, etc to develop GNOME applications
Group: X11/gnome
Requires: gnome-libs
Obsoletes: gnome

%description devel
Libraries, include files, etc you can use to develop GNOME applications.

%prep
%setup -n gnome-libs-0.20

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh --prefix=%prefix --disable-shared
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix --disable-shared
fi

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%post 
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi

/sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/pixmaps/*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/gnome-libs
%{prefix}/include/*

%changelog

* Wed Sep 23 1998 Michael Fulbright <msf@redhat.com>

- REMOVED shared libs - we want everyhting in 5.2 to build statically again
  gnome-libs-0.20

* Tue Sep 22 1998 Cristian Gafton <gafton@redhat.com>
- spec file cleanups;
- rebuild against new imlib and gtk+

* Fri Sep 11 1998 Cristian Gafton <gafton@redhat.com>
- package for 5.2

* Wed Sep  9 1998 Michael Fulbright <msf@redhat.com>
- changed for gnome-libs 0.20 as a compat library, so installing later
  GNOME development releases based on gtk+-1.1 and greater won't break us.

* Mon Apr 13 1998 Marc Ewing <marc@redhat.com>
- Added %{prefix}/lib/gnome-libs

* Fri Mar 13 1998 Marc Ewing <marc@redhat.com>
- Integrate into gnome-libs source tree

